import * as better_plate_core from 'better-plate-core';
import * as better_slate from 'better-slate';
import { ToggleMarkPlugin } from 'better-plate-common';

declare const MARK_HIGHLIGHT = "highlight";
/**
 * Enables support for highlights, useful when reviewing
 * content or highlighting it for future reference.
 */
declare const createHighlightPlugin: <OP = ToggleMarkPlugin, OV extends better_slate.Value = better_slate.Value, OE extends better_plate_core.PlateEditor<OV> = better_plate_core.PlateEditor<OV>>(override?: Partial<better_plate_core.PlatePlugin<better_plate_core.NoInfer<OP>, OV, OE>> | undefined, overrideByKey?: better_plate_core.OverrideByKey<OV, OE> | undefined) => better_plate_core.PlatePlugin<better_plate_core.NoInfer<OP>, OV, OE>;

export { MARK_HIGHLIGHT, createHighlightPlugin };
